Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class TileEntityMobSpawner

    java.lang.Object
      net.minecraft.src.TileEntity
          net.minecraft.src.TileEntityMobSpawner

    public class TileEntityMobSpawner

extends TileEntity

Field Summary
`int` | `delay` The stored delay before a new spawn.
`double` | `yaw`
`double` | `yaw2`

Fields inherited from class net.minecraft.src.TileEntity
`blockMetadata, blockType, worldObj, xCoord, yCoord, zCoord`

Constructor Summary
`TileEntityMobSpawner()`

Method Summary
`boolean` | `anyPlayerInRange()` Returns true if there is a player in range (using World.getClosestPlayer)
`Packet` | `getDescriptionPacket()` Overriden in a sign to provide the text.
`Entity` | `getMobEntity()`
`String` | `getMobID()`
`void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)` Reads a tile entity from NBT.
`void` | `setMobID(String par1Str)`
`void` | `updateEntity()` Allows the entity to update its state.
`void` | `writeNBTTagsTo(Entity par1Entity)`
`void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)` Writes a tile entity to NBT.

Methods inherited from class net.minecraft.src.TileEntity
`addMapping, canUpdate, createAndLoadEntity, func_70309_m, getBlockMetadata, getBlockType, getDistanceFrom, getRenderDistance, getWorldObj, invalidate, isInvalid, onChunkUnload, onDataPacket, onInventoryChanged, receiveClientEvent, setWorldObj, updateContainingBlockInfo, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### delay

    public int delay

  The stored delay before a new spawn.

### yaw

    public double yaw

### yaw2

    public double yaw2

Constructor Detail

### TileEntityMobSpawner

    public TileEntityMobSpawner()

Method Detail

### getMobID

    public String getMobID()

### setMobID

    public void setMobID(String par1Str)

### anyPlayerInRange

    public boolean anyPlayerInRange()

  Returns true if there is a player in range (using World.getClosestPlayer)

### updateEntity

    public void updateEntity()

  Allows the entity to update its state. Overridden in most subclasses, e.g. the mob spawner uses this to count ticks and creates a new spawn inside its implementation.

  Overrides:
    `updateEntity` in class `TileEntity`

### writeNBTTagsTo

    public void writeNBTTagsTo(Entity par1Entity)

### readFromNBT

    public void readFromNBT(NBTTagCompound par1NBTTagCompound)

  Reads a tile entity from NBT.

  Overrides:
    `readFromNBT` in class `TileEntity`

### writeToNBT

    public void writeToNBT(NBTTagCompound par1NBTTagCompound)

  Writes a tile entity to NBT.

  Overrides:
    `writeToNBT` in class `TileEntity`

### getMobEntity

    public Entity getMobEntity()

### getDescriptionPacket

    public Packet getDescriptionPacket()

  Overriden in a sign to provide the text.

  Overrides:
    `getDescriptionPacket` in class `TileEntity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD